package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WireguardKeyOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WireguardKeyOpenApiVo   {
  @JsonProperty("privateKey")
  private String privateKey;

  @JsonProperty("publicKey")
  private String publicKey;

  public WireguardKeyOpenApiVo privateKey(String privateKey) {
    this.privateKey = privateKey;
    return this;
  }

  /**
   * The private key of WireGuard VPN.
   * @return privateKey
  */
  @ApiModelProperty(value = "The private key of WireGuard VPN.")


  public String getPrivateKey() {
    return privateKey;
  }

  public void setPrivateKey(String privateKey) {
    this.privateKey = privateKey;
  }

  public WireguardKeyOpenApiVo publicKey(String publicKey) {
    this.publicKey = publicKey;
    return this;
  }

  /**
   * The public key of WireGuard VPN.
   * @return publicKey
  */
  @ApiModelProperty(value = "The public key of WireGuard VPN.")


  public String getPublicKey() {
    return publicKey;
  }

  public void setPublicKey(String publicKey) {
    this.publicKey = publicKey;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WireguardKeyOpenApiVo wireguardKeyOpenApiVo = (WireguardKeyOpenApiVo) o;
    return Objects.equals(this.privateKey, wireguardKeyOpenApiVo.privateKey) &&
        Objects.equals(this.publicKey, wireguardKeyOpenApiVo.publicKey);
  }

  @Override
  public int hashCode() {
    return Objects.hash(privateKey, publicKey);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WireguardKeyOpenApiVo {\n");
    
    sb.append("    privateKey: ").append(toIndentedString(privateKey)).append("\n");
    sb.append("    publicKey: ").append(toIndentedString(publicKey)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

